Summary: Stub rpm to set up LONCAPA dependencies
Name: LONCAPA-prerequisites
Version: 1
Release: 34.centos7
License: GPL
Group: Applications/Internet
URL: www.loncapa.org
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: httpd gd perl perl-GD perl-GD-Barcode perl-GDGraph perl-GD-Graph3d perl-GDTextUtil ImageMagick ImageMagick-perl mod_perl mariadb mariadb-server perl-DBD-MySQL perl-DBI perl-Algorithm-Diff perl-Authen-Krb5 perl-Authen-PAM perl-Crypt-DES perl-Crypt-IDEA perl-Crypt-SSLeay perl-Event perl-HTML-Parser_loncapa perl-HTML-Tree perl-IO-Socket-SSL perl-IO-stringy perl-MailTools perl-Math-Cephes perl-Math-Random perl-Net-PH perl-Net-SSLeay perl-OLE-Storage_Lite perl-Parse-RecDescent perl-Pod-POM perl-PostScript-Simple perl-Safe-Hole perl-Spreadsheet-WriteExcel perl-String-Similarity perl-String-CRC32 perl-Text-Aspell perl-Text-Query perl-TimeDate aspell perl-MIME-Lite perl-MIME-Types groff zip unzip perl-libwww-perl ghostscript ntp at gnuplot which perl-Cache-Memcached memcached mailx perl-DateManip perl-Expect perl-IO-Tty maxima maxima-runtime-sbcl perl-DateTime perl-Authen-Captcha perl-XML-DOM perl-File-MMagic perl-RTF-HTMLConverter perl-Image-Size perl-Image-Info texlive texlive-latex texlive-dvips texlive-acrotex perl-CAM-PDF R-core R-phpSerialize perl-Tie-IxHash-Easy R-alr3 R-car R-Hmisc R-leaps R-lmtest R-qAnalyst R-quadprog R-SuppDists R-zoo perl perl-XML-LibXML a2ps perl-CGI perl-Tree perl-TermReadKey system-config-language perl-Captcha-reCAPTCHA aspell-en aspell-de aspell-es aspell-fr aspell-he aspell-pt aspell-tr perl-Locale-Codes texlive-multirow texlive-wrapfig texlive-xtab texlive-metapost-bin texlive-metapost texlive-dejavu iptables-services system-config-firewall-base system-config-firewall-tui bc ca-certificates perl-LWP-Protocol-https perl-aliased perl-JSON-DWIW perl-enum perl-Try-Tiny perl-Crypt-Eksblowfish perl-Net-OAuth perl-Digest-SHA perl-File-Slurp texlive-actuarialangle epel-release perl-Math-Calculus-Expression_loncapa perl-Archive-Zip perl-Number-FormatEng perl-Sys-Hostname-FQDN perl-File-ReadBackwards perl-Text-Unidecode perl-Switch perl-Net-CIDR mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts perl-DateTime-Format-x509 perl-UUID-Tiny perl-Short-URL perl-Math-Round perl-Crypt-PKCS10 perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA perl-Crypt-LE perl-Crypt-X509-CRL_loncapa perl-Crypt-CBC perl-Text-Tabs+Wrap
# Requirements for compilation of CAPA
Requires: bison flex flex-devel swig
# Next require is just for installation of pwauth in the install script.
Requires: gcc patch
Requires: gnuplot >= 4.4
Requires: perl-XML-LibXML >= 2.0018
Requires: perl-XML-SAX >= 0.96
Requires: perl-IO-Socket-SSL >= 1.79
Requires: perl-Net-SSLeay >= 1.50
Conflicts: mod_throttle mod_bandwidth
# Notes on requirements: Net::SMTP/perl-libnet is provided in perl-5.8.3
%define debug_package %{nil}

%description
LONCAPA-prerequisites configures a system to run LON-CAPA.

%prep
%setup -q

%build

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README


%changelog
* Sat May 13 2023 Stuart Raeburn <raeburn at lon-capa.org> (1-34)
- Add perl-Crypt-CBC perl-Text-Tabs+Wrap

* Fri Aug 02 2019 Stuart Raeburn <raeburn at lon-capa.org> (1-33)
- Add perl-Crypt-X509-CRL_loncapa

* Wed Apr 10 2019 Stuart Raeburn <raeburn at lon-capa.org> (1-32)
- Add perl-Crypt-LE

* Thu Dec 6 2018 Stuart Raeburn <raeburn at lon-capa.org> (1-31)
- Add perl-Crypt-OpenSSL-DSA perl-Crypt-OpenSSL-RSA

* Mon Aug 20 2018 Stuart Raeburn <raeburn at lon-capa.org> (1-30)
- Add perl-Crypt-PKCS10

* Thu Jul 5 2018 Stuart Raeburn <raeburn at lon-capa.org> (1-29)
- Add perl-UUID-Tiny perl-Short-URL perl-Math-Round

* Tue Aug 2 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-28)
- Add perl-DateTime-Format-x509

* Sat Jul 16 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-27)
- Add mod_ssl perl-Crypt-OpenSSL-X509 perl-LWP-UserAgent-DNS-Hosts
- Add version dependencies for perl-IO-Socket-SSL, perl-Net-SSLeay

* Sat Jul 16 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-26)
- Add epel-release perl-Math-Calculus-Expression_loncapa perl-Archive-Zip
- Add perl-Number-FormatEng perl-Sys-Hostname-FQDN
- Add perl-File-ReadBackwards perl-Text-Unidecode perl-Switch perl-Net-CIDR
- Dependency on R replaced with dependency on R-core

* Mon Jan 4 2016 Stuart Raeburn <raeburn at lon-capa.org> (1-25)
- Add perl-Crypt-Eksblowfish, perl-Net-OAuth, perl-Digest-SHA
  perl-File-Slurp, and texlive-actuarialangle
- update version dependency for perl-XML-LibXML and perl-XML-SAX
- discontinue dependency on perl-Digest-SHA1 (use perl-Digest-SHA instead).

* Fri Jul 3 2015 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-aliased, perl-JSON-DWIW, perl-enum, perl-Try-Tiny (1-24)

* Wed Jan 14 2015 Stuart Raeburn <raeburn at lon-capa.org>
- Add perl-LWP-Protocol-https

* Tue Nov 18 2014 Stuart Raeburn <raeburn at lon-capa.org>
- Add ca-certificates

* Sun Jul 6 2014 Stuart Raeburn <raeburn at lon-capa.org>
- Add bc
 
* Sun Jun 29 2014 Stuart Raeburn <raeburn at lon-capa.org>
- Initial build.

